=== debian/changelog ===
zabbix (1:5.0.8+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 15 Feb 2021 15:01:20 -0500

zabbix (1:5.0.8+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Feb 2021 17:09:28 +1100

zabbix (1:5.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Feb 2021 11:45:27 +1100

zabbix (1:5.0.7+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jan 2021 08:45:39 +1100

zabbix (1:5.0.5+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Nov 2020 23:15:57 +1100

zabbix (1:5.0.4+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Oct 2020 16:51:23 +1100

zabbix (1:5.0.2+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Aug 2020 20:21:02 +1000

zabbix (1:5.0.1+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Jun 2020 22:56:54 +1000

zabbix (1:5.0.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 May 2020 10:44:51 +1000

zabbix (1:4.0.18+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Mar 2020 10:10:52 +1100

zabbix (1:4.0.16+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Dec 2019 16:48:22 +1100

zabbix (1:4.0.15+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 13:31:23 +1100

zabbix (1:4.0.14+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 13:58:29 +1100
