=== debian/changelog ===
zabbix (1:5.0.14+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Sep 2021 23:17:19 +1000

zabbix (1:5.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Updated zabbix-java-gateway.README.Debian
  * Standards-Version: 4.6.0
  * agent: +Provides: zabbix-sender (Closes: #987050).
    Thanks, Thomas Goirand.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Aug 2021 13:50:57 +1000
