## zabbix 5.0.17%2Bdfsg

=== debian/changelog ===
zabbix (1:5.0.17+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Nov 2021 11:37:47 +1100

zabbix (1:5.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Nov 2021 11:15:32 +1100
