=== src/go/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.3 from Makefile.am.
 # src/go/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
+# Copyright (C) 1994-2020 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -130,8 +130,10 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' aclocal-1.16
 AGENT2_CONFIG_FILE = ${prefix}/etc/zabbix_agent2.conf
+AGENT2_LDFLAGS =    
+AGENT2_LIBS =    
 AGENT_CONFIG_FILE = ${prefix}/etc/zabbix_agentd.conf
 AGENT_LDFLAGS =      
 AGENT_LIBS =      
@@ -139,15 +141,15 @@
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 ARCH = linux
-AUTOCONF = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing automake-1.16
+AUTOCONF = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' automake-1.16
 AWK = mawk
 CC = cc
 CCDEPMODE = depmode=gcc3
 CFLAGS =  -g -O2 
 CGO_CFLAGS = 
-CGO_LDFLAGS =       -Wl,--start-group 	${abs_top_builddir}/src/zabbix_agent/logfiles/libzbxlogfiles.a 	${abs_top_builddir}/src/libs/zbxcomms/libzbxcomms.a 	${abs_top_builddir}/src/libs/zbxcommon/libzbxcommon.a 	${abs_top_builddir}/src/libs/zbxcrypto/libzbxcrypto.a 	${abs_top_builddir}/src/libs/zbxsys/libzbxsys.a 	${abs_top_builddir}/src/libs/zbxnix/libzbxnix.a 	${abs_top_builddir}/src/libs/zbxconf/libzbxconf.a 	${abs_top_builddir}/src/libs/zbxhttp/libzbxhttp.a 	${abs_top_builddir}/src/libs/zbxcompress/libzbxcompress.a 	${abs_top_builddir}/src/libs/zbxregexp/libzbxregexp.a 	${abs_top_builddir}/src/libs/zbxsysinfo/libzbxagent2sysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/common/libcommonsysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/simple/libsimplesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspechostnamesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspecsysinfo.a 	${abs_top_builddir}/src/libs/zbxexec/libzbxexec.a 	${abs_top_builddir}/src/libs/zbxalgo/libzbxalgo.a 	${abs_top_builddir}/src/libs/zbxjson/libzbxjson.a 	-lm -ldl  -lresolv         -Wl,--end-group
+CGO_LDFLAGS =     -Wl,--start-group 	${abs_top_builddir}/src/zabbix_agent/logfiles/libzbxlogfiles.a 	${abs_top_builddir}/src/libs/zbxcomms/libzbxcomms.a 	${abs_top_builddir}/src/libs/zbxcommon/libzbxcommon.a 	${abs_top_builddir}/src/libs/zbxcrypto/libzbxcrypto.a 	${abs_top_builddir}/src/libs/zbxsys/libzbxsys.a 	${abs_top_builddir}/src/libs/zbxnix/libzbxnix.a 	${abs_top_builddir}/src/libs/zbxconf/libzbxconf.a 	${abs_top_builddir}/src/libs/zbxhttp/libzbxhttp.a 	${abs_top_builddir}/src/libs/zbxcompress/libzbxcompress.a 	${abs_top_builddir}/src/libs/zbxregexp/libzbxregexp.a 	${abs_top_builddir}/src/libs/zbxsysinfo/libzbxagent2sysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/common/libcommonsysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/simple/libsimplesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspechostnamesysinfo.a 	${abs_top_builddir}/src/libs/zbxsysinfo/linux/libspecsysinfo.a 	${abs_top_builddir}/src/libs/zbxexec/libzbxexec.a 	${abs_top_builddir}/src/libs/zbxalgo/libzbxalgo.a 	${abs_top_builddir}/src/libs/zbxjson/libzbxjson.a 	-lm -ldl  -lresolv       -Wl,--end-group
 CPP = cc -E
 CPPFLAGS = 
 CURL_SSL_CERT_LOCATION = ${datarootdir}/zabbix/ssl/certs
@@ -206,7 +208,7 @@
 LIBXML2_VERSION = 
 LOAD_MODULE_PATH = ${exec_prefix}/lib/modules
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing makeinfo
+MAKEINFO = ${SHELL} '/home/jenkins/workspace/zabbix-repo/03-create-source-tarball/sources/missing' makeinfo
 MKDIR_P = /bin/mkdir -p
 MYSQL_CFLAGS = 
 MYSQL_CONFIG = 
@@ -228,10 +230,10 @@
 PACKAGE = zabbix
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = Zabbix
-PACKAGE_STRING = Zabbix 5.0.14
+PACKAGE_STRING = Zabbix 5.0.17
 PACKAGE_TARNAME = zabbix
 PACKAGE_URL = 
-PACKAGE_VERSION = 5.0.14
+PACKAGE_VERSION = 5.0.17
 PATH_SEPARATOR = :
 PG_CONFIG = 
 PKG_CONFIG = 
@@ -271,7 +273,7 @@
 UNIXODBC_CFLAGS = 
 UNIXODBC_LDFLAGS = 
 UNIXODBC_LIBS = 
-VERSION = 5.0.14
+VERSION = 5.0.17
 ZBXGET_LDFLAGS =      
 ZBXGET_LIBS =      
 ZBXJS_LDFLAGS =   
@@ -365,6 +367,3 @@
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
-	esac;
-
