=== src/modules/dummy/Makefile ===
dummy: dummy.c
	gcc -fPIC -shared -o dummy.so dummy.c -I../../../include
