=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: zabbix
 Section: net
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.0
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
 Build-Depends: debhelper-compat (= 12), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
@@ -51,6 +50,7 @@
         ,pciutils
 Recommends: usbutils
 Suggests: logrotate
+Provides: zabbix-sender
 Description: network monitoring solution - agent
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
