=== debian/rules ===
--- 
+++ 
@@ -66,9 +66,6 @@
 
 %:
 	dh $@ --max-parallel=4 --with javahelper,linktree,apache2
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -195,3 +192,6 @@
 endif
 
 override_dh_compress:
+	dh_compress -X.xml
+
+override_dh_dwz:
