=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
uversionmangle=s/\d\K(rc\d+)/~$1/,\
"  https://cdn.zabbix.com/zabbix/sources/stable/5.0/zabbix-@ANY_VERSION@@ARCHIVE_EXT@  debian ./debian/get-orig-source.sh

## Redirector http://qa.debian.org/watch/sf.php/zabbix/
#opts="\
#pgpmode=none,\
#repacksuffix=+dfsg,\
#repack,compression=xz,\
#dversionmangle=s/\+dfsg\d*//,\
#uversionmangle=s/\d\K(rc\d+)/~$1/,\
#"  https://sf.net/zabbix/zabbix-(5\.0\.\d[0-9.]+(?:rc\d*)?)\.tar\.gz
